## Retrieve information about specific configuration properties `client.apiGateway.configurations.get(ConfigurationGetParamsparams, RequestOptionsoptions?): Configuration` **get** `/zones/{zone_id}/api_gateway/configuration` Gets the current API Shield configuration settings for a zone, including validation behavior and enforcement mode. ### Parameters - `params: ConfigurationGetParams` - `zone_id: string` Path param: Identifier. - `normalize?: boolean` Query param: Ensures that the configuration is written or retrieved in normalized fashion ### Returns - `Configuration` - `auth_id_characteristics: Array` - `APIShieldAuthIDCharacteristic` Auth ID Characteristic - `name: string` The name of the characteristic field, i.e., the header or cookie name. - `type: "header" | "cookie"` The type of characteristic. - `"header"` - `"cookie"` - `APIShieldAuthIDCharacteristicJWTClaim` Auth ID Characteristic extracted from JWT Token Claims - `name: string` Claim location expressed as `$(token_config_id):$(json_path)`, where `token_config_id` is the ID of the token configuration used in validating the JWT, and `json_path` is a RFC 9535 JSONPath (https://goessner.net/articles/JsonPath/, https://www.rfc-editor.org/rfc/rfc9535.html). The JSONPath expression may be in dot or bracket notation, may only specify literal keys or array indexes, and must return a singleton value, which will be interpreted as a string. - `type: "jwt"` The type of characteristic. - `"jwt"` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const configuration = await client.apiGateway.configurations.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(configuration.auth_id_characteristics); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "auth_id_characteristics": [ { "name": "authorization", "type": "header" } ] }, "success": true } ```